# $Revision: 1.19 $, $Date: 2008/07/27 22:31:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Rot13
Summary:	Crypt::Rot13 Perl module - a rotational deviator
Summary(pl.UTF-8):	Moduł Perla Crypt::Rot13 - obrotowy dewiator
Name:		perl-Crypt-Rot13
Version:	0.6
Release:	2
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/AYRNIEU/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0898cc852619875a743678083152155a
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rot13 provides an object into which arrays may be placed, and then
returned to you in altered - specifically: rotated - form. Valid
rot13() arguments are 0-26, though 0 and 26 do not alter the array.

%description -l pl.UTF-8
Rot13 udostępnia obiekt, w którym można umieszczać tablice, które
następnie są zwracane w zmodyfikowanej, a konkretnie "obróconej"
formie. Prawidłowy argument dla rot13() to liczba z przedziału 0-26,
ale 0 i 26 nie zmieniają zawartości tablicy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/Rot13.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Rot13.spec,v $
Revision 1.19  2008/07/27 22:31:13  arekm
- release 2

Revision 1.18  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.16  2004/12/03 10:20:35  qboosh
- back to non-standard but WORKING Source0

Revision 1.15  2004/12/01 10:25:24  radek
- standarized Source0 URL

Revision 1.14  2004/11/03 22:30:14  paladine
- formatting

Revision 1.13  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/06 18:43:07  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/20 09:46:29  ankry
- bcond fixes/porting

Revision 1.10  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.9  2003/11/08 21:54:26  migo
- up to 0.6
- changed Source a little bit, bconded tests

Revision 1.8  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:46:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:29:44  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/31 20:55:52  qboosh
- new
